#include <inttypes.h>
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>

#include <sys/ipc.h>
#include <sys/shm.h>


#define SHM_KEY 0xF
#define MAX 10

#define N 2

//control structure or peterson's algorithm
typedef struct {

    //pid of process that goes next into critical section 
    int turn;
    //shows interest of process 
    int interested[N];

} controldata_t;

//bank account data
typedef struct {
    
    int balance;

} userdata_t;

//structure for shared memory
typedef struct {

    controldata_t c;
    userdata_t u;

} my_global_data_t;
